/// <reference types="webpack-env" />
/// <reference types="node" />
import cluster from 'cluster';
import { WorkerMessage, TestMessage, WebpackMessage, WorkerHandler, TestHandler, WebpackHandler, ShutdownHandler } from '../types';
export declare function emitWorkerMessage(message: WorkerMessage): boolean;
export declare function emitTestMessage(message: TestMessage): boolean;
export declare function emitWebpackMessage(message: WebpackMessage): boolean;
export declare function emitShutdownMessage(): boolean;
export declare function sendTestMessage(target: NodeJS.Process | cluster.Worker, message: TestMessage): void;
export declare function sendShutdownMessage(target: NodeJS.Process | cluster.Worker): void;
export declare function subscribeOn(scope: 'worker', handler: WorkerHandler): () => void;
export declare function subscribeOn(scope: 'test', handler: TestHandler): () => void;
export declare function subscribeOn(scope: 'webpack', handler: WebpackHandler): () => void;
export declare function subscribeOn(scope: 'shutdown', handler: ShutdownHandler): () => void;
export declare function subscribeOn(scope: 'worker' | 'test' | 'webpack' | 'shutdown', handler: WorkerHandler | TestHandler | WebpackHandler | ShutdownHandler): () => void;
